Odoo中文社区可以通过以下两个域名访问:shine-it.net , odoo.net.cn

由于系统升迁的原因,本论坛部分较早期的内容存在格式和链接损坏失效的问题,并非本论坛系统本身的缺陷,望谅解

本社区没有维护任何QQ群讨论组,任何与本社区同名的QQ群讨论组的言论与本社区无关!

开发人员可以登录gitter讨论组: http://gitter.im/odoo-china/Talk, 需要github账号

如果您登录系统碰到问题,请在微信公众号留言:

请问:安装会计科目报错,是什么原因?如何解决?



  • 错误:
    Odoo Server Error

    Traceback (most recent call last):
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\convert.py", line 758, in parse
    self._tags[rec.tag](rec, de, mode=mode)
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\convert.py", line 343, in _tag_function
    _eval_xml(self, rec, env)
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\convert.py", line 194, in _eval_xml
    return odoo.api.call_kw(model, method, args, {})
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\api.py", line 759, in call_kw
    return _call_kw_multi(method, model, args, kwargs)
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\api.py", line 746, in _call_kw_multi
    result = method(recs, *args, **kwargs)
    File "", line 2, in try_loading_for_current_company
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\api.py", line 382, in loop
    result = [method(rec, *args, **kwargs) for rec in self]
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\api.py", line 382, in
    result = [method(rec, *args, **kwargs) for rec in self]
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\account\models\chart_template.py", line 178, in try_loading_for_current_company
    self.load_for_current_company(15.0, 15.0)
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\l10n_multilang\models\l10n_multilang.py", line 16, in load_for_current_company
    res = super(AccountChartTemplate, self).load_for_current_company(sale_tax_rate, purchase_tax_rate)
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\account\models\chart_template.py", line 249, in load_for_current_company
    acc_template_ref, taxes_ref = self._install_template(company, code_digits=self.code_digits)
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\account\models\chart_template.py", line 520, in _install_template
    tmp1, tmp2 = self.with_context(lang=company.partner_id.lang)._load_template(company, code_digits=code_digits, account_ref=acc_ref, taxes_ref=taxes_ref)
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\account\models\chart_template.py", line 568, in _load_template
    self.generate_journals(account_ref, company)
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\stock_account\models\account_chart_template.py", line 16, in generate_journals
    return super(AccountChartTemplate, self).generate_journals(acc_template_ref=acc_template_ref, company=company, journals_dict=journal_to_add)
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\account\models\chart_template.py", line 398, in generate_journals
    journal = JournalObj.create(vals_journal)
    File "", line 2, in create
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\api.py", line 440, in _model_create_single
    return create(self, arg)
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\account\models\account.py", line 791, in create
    journal._update_mail_alias(vals)
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\account\models\account.py", line 624, in _update_mail_alias
    alias_parent_model_name='account.journal').create(alias_values)
    File "", line 2, in create
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\api.py", line 440, in _model_create_single
    return create(self, arg)
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\mail\models\mail_alias.py", line 123, in create
    return super(Alias, self).create(vals)
    File "", line 2, in create
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\api.py", line 461, in _model_create_multi
    return create(self, [arg])
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\models.py", line 3588, in create
    records = self._create(data_list)
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\models.py", line 3720, in _create
    records._validate_fields(name for data in data_list for name in data['stored'])
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\models.py", line 1128, in _validate_fields
    check(self)
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\mail\models\mail_alias.py", line 89, in alias_is_ascii
    raise ValidationError(
    ("You cannot use anything else than unaccented latin characters in the alias address."))
    odoo.exceptions.ValidationError: ('You cannot use anything else than unaccented latin characters in the alias address.', None)

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\http.py", line 656, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\http.py", line 314, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\pycompat.py", line 87, in reraise
    raise value
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\http.py", line 698, in dispatch
    result = self._call_function(**self.params)
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\http.py", line 346, in _call_function
    return checked_call(self.db, *args, **kwargs)
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\service\model.py", line 98, in wrapper
    return f(dbname, *args, **kwargs)
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\http.py", line 339, in checked_call
    result = self.endpoint(*a, **kw)
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\http.py", line 941, in call
    return self.method(*args, **kw)
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\http.py", line 519, in response_wrap
    response = f(*args, **kw)
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\web\controllers\main.py", line 966, in call_button
    action = self._call_kw(model, method, args, {})
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\web\controllers\main.py", line 954, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\api.py", line 759, in call_kw
    return _call_kw_multi(method, model, args, kwargs)
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\api.py", line 746, in _call_kw_multi
    result = method(recs, *args, **kwargs)
    File "", line 2, in button_immediate_install
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\base\models\ir_module.py", line 74, in check_and_log
    return method(self, *args, **kwargs)
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\base\models\ir_module.py", line 445, in button_immediate_install
    return self._button_immediate_function(type(self).button_install)
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\base\models\ir_module.py", line 561, in _button_immediate_function
    modules.registry.Registry.new(self._cr.dbname, update_module=True)
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\modules\registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\modules\loading.py", line 421, in load_modules
    loaded_modules, update_module, models_to_check)
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\modules\loading.py", line 313, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\modules\loading.py", line 222, in load_module_graph
    load_data(cr, idref, mode, kind='data', package=package, report=report)
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\modules\loading.py", line 68, in load_data
    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report)
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\convert.py", line 802, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\convert.py", line 865, in convert_xml_import
    obj.parse(doc.getroot(), mode=mode)
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\convert.py", line 755, in parse
    self.parse(rec, mode)
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\convert.py", line 764, in parse
    exc_info[2]
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\convert.py", line 758, in parse
    self._tags[rec.tag](rec, de, mode=mode)
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\convert.py", line 343, in _tag_function
    _eval_xml(self, rec, env)
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\tools\convert.py", line 194, in _eval_xml
    return odoo.api.call_kw(model, method, args, {})
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\api.py", line 759, in call_kw
    return _call_kw_multi(method, model, args, kwargs)
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\api.py", line 746, in _call_kw_multi
    result = method(recs, *args, **kwargs)
    File "", line 2, in try_loading_for_current_company
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\api.py", line 382, in loop
    result = [method(rec, *args, **kwargs) for rec in self]
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\api.py", line 382, in
    result = [method(rec, *args, **kwargs) for rec in self]
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\account\models\chart_template.py", line 178, in try_loading_for_current_company
    self.load_for_current_company(15.0, 15.0)
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\l10n_multilang\models\l10n_multilang.py", line 16, in load_for_current_company
    res = super(AccountChartTemplate, self).load_for_current_company(sale_tax_rate, purchase_tax_rate)
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\account\models\chart_template.py", line 249, in load_for_current_company
    acc_template_ref, taxes_ref = self._install_template(company, code_digits=self.code_digits)
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\account\models\chart_template.py", line 520, in _install_template
    tmp1, tmp2 = self.with_context(lang=company.partner_id.lang)._load_template(company, code_digits=code_digits, account_ref=acc_ref, taxes_ref=taxes_ref)
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\account\models\chart_template.py", line 568, in _load_template
    self.generate_journals(account_ref, company)
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\stock_account\models\account_chart_template.py", line 16, in generate_journals
    return super(AccountChartTemplate, self).generate_journals(acc_template_ref=acc_template_ref, company=company, journals_dict=journal_to_add)
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\account\models\chart_template.py", line 398, in generate_journals
    journal = JournalObj.create(vals_journal)
    File "", line 2, in create
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\api.py", line 440, in _model_create_single
    return create(self, arg)
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\account\models\account.py", line 791, in create
    journal._update_mail_alias(vals)
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\account\models\account.py", line 624, in _update_mail_alias
    alias_parent_model_name='account.journal').create(alias_values)
    File "", line 2, in create
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\api.py", line 440, in _model_create_single
    return create(self, arg)
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\mail\models\mail_alias.py", line 123, in create
    return super(Alias, self).create(vals)
    File "", line 2, in create
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\api.py", line 461, in _model_create_multi
    return create(self, [arg])
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\models.py", line 3588, in create
    records = self._create(data_list)
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\models.py", line 3720, in _create
    records._validate_fields(name for data in data_list for name in data['stored'])
    File "C:\Program Files (x86)\Odoo 12.0\server\odoo\models.py", line 1128, in _validate_fields
    check(self)
    File "c:\program files (x86)\odoo 12.0\server\odoo\addons\mail\models\mail_alias.py", line 89, in alias_is_ascii
    raise ValidationError(
    ("You cannot use anything else than unaccented latin characters in the alias address."))
    odoo.tools.convert.ParseError: "You cannot use anything else than unaccented latin characters in the alias address.
    None" while parsing file:/c:/program%20files%20(x86)/odoo%2012.0/server/odoo/addons/l10n_cn_small_business/data/account_chart_template_data.xml:4, near




  • 你安装地址不能出现中文或者其他非法字符。
    你试试看。


Log in to reply